package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TAccident;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.apache.poi.xwpf.usermodel.XWPFParagraph;
import org.apache.poi.xwpf.usermodel.XWPFRun;

/**
 * 隐患排查Service接口
 *
 * @author ruoyi
 * @date 2020-11-24
 */
public interface ITAccidentService
{
    /**
     * 查询隐患排查
     *
     * @param id 隐患排查ID
     * @return 隐患排查
     */
    public TAccident selectTAccidentById(Long id);

    /**
     * 查询隐患排查列表
     *
     * @param tAccident 隐患排查
     * @return 隐患排查集合
     */
    public List<TAccident> selectTAccidentList(TAccident tAccident);

    /**
     * 新增隐患排查
     *
     * @param tAccident 隐患排查
     * @return 结果
     */
    public int insertTAccident(TAccident tAccident);

    /**
     * 修改隐患排查
     *
     * @param tAccident 隐患排查
     * @return 结果
     */
    public int updateTAccident(TAccident tAccident);

    /**
     * 批量删除隐患排查
     *
     * @param ids 需要删除的隐患排查ID
     * @return 结果
     */
    public int deleteTAccidentByIds(Long[] ids);

    /**
     * 删除隐患排查信息
     *
     * @param id 隐患排查ID
     * @return 结果
     */
    public int deleteTAccidentById(Long id);

    /**
     * 首页查询隐患排查s数量
     *
     * @param month 需要查询的月份
     * @return 结果
     */
    public int selectHomeData(String month);

    void dealAccident(XWPFDocument doc, XWPFParagraph paragraph, XWPFRun run);
}
